Actions

Difference between revisions of "External Libraries in Joomla"

From Joomla! Documentation

(Put 2.3.2 on a separate row)
(Add note 2.3.2 contains some Bootstrap 2.1 backward compat issues)
Line 47: Line 47:
 
|  valign="middle" style="background-color:#eeefff;" | 1.8.3
 
|  valign="middle" style="background-color:#eeefff;" | 1.8.3
 
|  valign="middle" style="background-color:#eeefff;" | 1.8.23
 
|  valign="middle" style="background-color:#eeefff;" | 1.8.23
|  valign="middle" style="background-color:#eeefff;" | Version 2.3.2
+
|  valign="middle" style="background-color:#eeefff;" | Version 2.3.2<ref>Contains some 2.1 backward compatibility defaults</ref>
 
|-  
 
|-  
 
|  valign="middle" | 3.2
 
|  valign="middle" | 3.2

Revision as of 17:03, 29 June 2013

A Joomla! installation contain external libraries which are included with Joomla! CMS version releases. These external libraries are not part of the core code. Please read the Notes section as they may contain more information, such as a external library version change released with a maintenance release.

External Libraries by Joomla Release

CMS Version Released Supported Mootools Mootools More jQuery jQuery UI
(Core, Widget, Mouse, Position, and Sortable)
Bootstrap
2.5
Checkmark.png
Checkmark.png
1.4.5[1] 1.4.0.1 N/A[2] N/A[2] N/A[2]
3.0
Checkmark.png
X-mark.png
1.4.5 1.4.0.1 1.8.1 1.8.23 Version 2.1.0
3.1
Checkmark.png
Checkmark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 Version 2.1.0
3.1.2
Checkmark.png
Checkmark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 Version 2.3.2[3]
3.2 Sept 2013
3.5 Mar 2014
4.0 Sept 2014

Notes

  1. Contains a 1.2 compatibility layer
  2. 2.0 2.1 2.2 Not applicable, this library was not included with Joomla! CMS version 2.5.
  3. Contains some 2.1 backward compatibility defaults